#! /bin/bash

# SPDX-FileCopyrightText: 2023 Tobias Schmidl
#
# SPDX-License-Identifier: AGPL-3.0-or-later

# fail immediately on error
set -e
CURLOPT=${CURLOPT:-"--location --remote-time --remote-name --show-error --silent --fail --tlsv1.2"}

# root part
# shellcheck disable=SC2086
curl $CURLOPT https://git.schmidl.dev/schtobia/bootstrap/raw/branch/master/bootstrap-root.sh \
    && chmod +x bootstrap-root.sh

# userspace part
# shellcheck disable=SC2086
curl $CURLOPT https://git.schmidl.dev/schtobia/bootstrap/raw/branch/master/bootstrap-user.sh \
    && chmod +x bootstrap-user.sh
